Page MenuHomePhabricator

Deploy print styles instrumentation
Closed, ResolvedPublic1 Estimated Story Points

Description

acceptance criteria

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2017, 5:39 PM

@Tbayer - do we still want to do 10%?

ovasileva triaged this task as High priority.Sep 20 2017, 5:40 PM
Tbayer added a comment.EditedSep 20 2017, 11:38 PM

@Tbayer - do we still want to do 10%?

Yes, the rationale from T169730#3475086 still holds. 10% is a bit conservative (i.e. we could likely increase this ratio and get the data sooner without even crossing the 10 events/second threshold), but let's account for the remote possibility that the new onBeforePrint events vastly outnumber the already estimated clickPrintableVersion ones.

ovasileva set the point value for this task to 1.Sep 21 2017, 5:12 PM
bmansurov moved this task from To Do to Doing on the Readers-Web-Kanbanana-Board-Old board.

Moving into sprint so we can start recording data asap. We can then proceed with T169732: Deploy new desktop print styles on all projects in two weeks (Oct 9)

Change 379580 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[operations/mediawiki-config@master] Enable Print instrumentation

https://gerrit.wikimedia.org/r/379580

Change 379580 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Print instrumentation

https://gerrit.wikimedia.org/r/379580

As of this writing, print scheme instrumentation is active on group 0 and group 1 wikis. It'll kick in on group 2 wikis later today.

Mentioned in SAL (#wikimedia-operations) [2017-09-21T18:31:14Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:379580|Enable Print instrumentation]] T176341 (duration: 00m 52s)

bmansurov removed bmansurov as the assignee of this task.Sep 21 2017, 6:43 PM
phuedx closed this task as Resolved.Sep 22 2017, 8:38 AM
phuedx claimed this task.
phuedx added a subscriber: phuedx.

The instrumentation has been deployed, enabled, and we're receiving events at a peak rate of ~25 events/min 🎉🎉🎉

If we want to increase that rate, then I suggest a new task for increasing the bucket size (with working!). FYI it'll be a 1 pointer 😉

The instrumentation has been deployed, enabled, and we're receiving events at a peak rate of ~25 events/min 🎉🎉🎉

If we want to increase that rate, then I suggest a new task for increasing the bucket size (with working!). FYI it'll be a 1 pointer 😉

Whoo!! cc @Tbayer - do we need an increase in the rate?